Bug 439622 - insufficient permissions of /dev/video0
insufficient permissions of /dev/video0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 13:55 EDT by vikram goyal
Modified: 2009-01-09 01:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:17:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-device output (151.41 KB, text/plain)
2008-03-29 13:55 EDT, vikram goyal
no flags Details
output of ck-list-sessions (250 bytes, text/plain)
2008-03-30 00:03 EDT, vikram goyal
no flags Details
output of tree /sys (202.72 KB, text/plain)
2008-03-30 00:05 EDT, vikram goyal
no flags Details

  None (edit)
Description vikram goyal 2008-03-29 13:55:48 EDT
Description of problem:
/dev/video0 has rw-rw---- 1 root root permissions which makes it unusable by
normal user

Version-Release number of selected component (if applicable):
hal-0.5.10-1.fc8.2
v4l2-tool-1.0.3-1.fc8
kernel-2.6.24.3-50.fc8

How reproducible:


Steps to Reproduce:
1.plug in ibm web cam
2.
3.
  
Actual results:
[vikram@mahashiv ~]$ ll /dev/video0
crw-rw---- 1 root root 81, 0 2008-03-29 22:13 /dev/video0

[vikram@mahashiv ~]$ llz /dev/video0
crw-rw----  root root system_u:object_r:v4l_device_t:s0 /dev/video0

Expected results:
insufficient permissions. Have to chmod 666 as root to use the device

Additional info:
relevant lsmod:

ibmcam                 48173  0
usbvideo               25925  1 ibmcam
compat_ioctl32          5185  1 usbvideo
videodev               27713  1 usbvideo
v4l2_common            18497  1 videodev
v4l1_compat            15813  1 videodev
Comment 1 vikram goyal 2008-03-29 13:55:48 EDT
Created attachment 299590 [details]
hal-device output
Comment 2 David Zeuthen 2008-03-29 14:50:31 EDT
What's the output of

 - ck-list-sessions
 - getenforce
 - tree /sys

(If SELinux is in enforcing mode and changing that to permissive mode
(setenforce 0) fixes this problem, then please reassign to selinux-policy.) 
Comment 3 vikram goyal 2008-03-30 00:02:19 EDT
I have checked it in both enforcing and permissive mode. The permissions remain
same. Also there is no selinux denial output anytime anywhere, otherwise I would
have filed the bug in that context. I have attached output of ck-list-sessions &
tree /sys as asked.
Comment 4 vikram goyal 2008-03-30 00:03:57 EDT
Created attachment 299608 [details]
output of ck-list-sessions
Comment 5 vikram goyal 2008-03-30 00:05:12 EDT
Created attachment 299610 [details]
output of tree /sys
Comment 6 David Zeuthen 2008-03-30 03:12:14 EDT
Driver bug: need device-> symlinks in sysfs.
Comment 7 Chuck Ebbert 2008-04-02 23:10:41 EDT
Must be specific to the ibmcam driver:
|-- dev
|-- name
|-- power
|   `-- wakeup
|-- subsystem -> ../../../class/video4linux
`-- uevent

A uvcvideo camera has this:
|-- dev
|-- device ->
../../../../../../../../../devices/pci0000:00/0000:00:0b.1/usb1/1-2/1-2.1/1-2.1:1.0
|-- name
|-- power
|   `-- wakeup
|-- subsystem -> ../../../../../../../../../class/video4linux
`-- uevent
Comment 8 Bug Zapper 2008-11-26 05:18:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:17:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.